drop index grms_repository_job_jobId;
drop index grms_repository_task_jobId_taskId;
drop index grms_repository_task_id;
drop index grms_repository_collocation_jobId;
drop index grms_repository_collocation_jobId_taskId;                                             
drop index grms_repository_allocations_alloc_id;
drop index grms_repository_allocations_res_id;
drop index grms_repository_filedir_coalloc_id;
drop index grms_repository_collocation_coallocId;
drop index grms_repository_collocation_id;
drop index grms_repository_filedir_id;

create index grms_repository_job_jobId on grms_repository_job (job_id);
create index grms_repository_task_id on grms_repository_task ( job_rep_task_id);
create index grms_repository_task_jobId_taskId on grms_repository_task (job_id, task_id);
create index grms_repository_collocation_jobId on grms_repository_coallocation (job_id);
create index grms_repository_collocation_coallocId on grms_repository_coallocation (coallocation_id);
create index grms_repository_collocation_jobId_taskId on grms_repository_coallocation (job_id, task_id);                                             
create index grms_repository_collocation_id on grms_repository_coallocation ( job_rep_coalloc_id);                                             
create index grms_repository_allocations_alloc_id on grms_repository_allocations ( allocation_id);
create index grms_repository_allocations_res_id on grms_repository_allocations ( reservation_id);
create index grms_repository_filedir_coalloc_id on grms_repository_filedir ( coallocation_id);
create index grms_repository_filedir_id on grms_repository_filedir ( job_rep_filedir_id);

drop index grms_repository_job_jobId_a;
drop index grms_repository_task_jobId_taskId_a;
drop index grms_repository_task_id_a;
drop index grms_repository_collocation_jobId_a;
drop index grms_repository_collocation_jobId_taskId_a;                                             
drop index grms_repository_allocations_alloc_id_a;
drop index grms_repository_allocations_res_id_a;
drop index grms_repository_filedir_coalloc_id_a;
drop index grms_repository_collocation_coallocId_a;
drop index grms_repository_collocation_id_a;
drop index grms_repository_filedir_id_a;

create index grms_repository_job_jobId_a on grms_repository_job_active (job_id);
create index grms_repository_task_jobId_taskId_a on grms_repository_task_active (job_id, task_id);
create index grms_repository_task_id_a on grms_repository_task_active ( job_rep_task_id);
create index grms_repository_collocation_jobId_a on grms_repository_coallocation_active (job_id);
create index grms_repository_collocation_coallocId_a on grms_repository_coallocation_active (coallocation_id);
create index grms_repository_collocation_id_a on grms_repository_coallocation_active (job_rep_coalloc_id);                                             
create index grms_repository_collocation_jobId_taskId_a on grms_repository_coallocation_active (job_id, task_id);
create index grms_repository_allocations_alloc_id_a on grms_repository_allocations_active ( allocation_id);
create index grms_repository_allocations_res_id_a on grms_repository_allocations_active ( reservation_id);
create index grms_repository_filedir_coalloc_id_a on grms_repository_filedir_active ( coallocation_id);                                                                      
create index grms_repository_filedir_id_a on grms_repository_filedir_active ( job_rep_filedir_id);                                                                                                                                                                               

drop index grms_repository_proxy_idx;
create index grms_repository_proxy_idx on grms_repository_proxy (owner, name);
                                                                
drop index grms_repository_proxy_name_owner;
create index grms_repository_proxy_name_owner on grms_repository_proxy (name, owner);
                                                                                    
drop index grms_repository_event_job;
drop index grms_repository_event_job_task;

create index grms_repository_event_job on grms_repository_event (job_id);
create index grms_repository_event_job_task on grms_repository_event (job_id, task_id);


                                                                                           