-- dropuser grms2
-- createuser grms2
-- dropdb grms-2.3_jobreg
-- createdb -U grms2 -W grms-2.3_proxy
-- psql -d grms-2.3_proxy -U grms2 -W

-- drop table if exists grms_repository_proxy;
drop table grms_repository_proxy;
create table grms_repository_proxy (
  proxy_rep_id	serial,
  
  proxy                         bytea,
  
  owner				text,
  name				text,
  identity			text,
  valid_to			bigint,
  type				int
);

-- drop index if exists grms_repository_proxy_idx;
drop index grms_repository_proxy_idx;
create index grms_repository_proxy_idx on grms_repository_proxy (owner, name);
