#!/bin/bash

SCRIPT_DIR=`dirname $0`
. $SCRIPT_DIR/common.sh

SCRIPT_NAME=`basename $0 .sh`

#echo "script name [$SCRIPT_NAME]"

case "$SCRIPT_NAME" in

startup)
	echo "starting QCG-Broker ..."
	qcgBrokerStartup $*
;;

shutdown)
	echo "stopping QCG-Broker ..."
	qcgBrokerShutdown $*
;;

status)
#	echo "checking QCG-Broker status ..."
	qcgBrokerStatus $*
;;

*)
	echo "unknown command"
	exit 1
;;

esac
