<![CDATA[<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:s="http://schemas.qoscosgrid.org/broker/2012/01/event">

<xsl:output method="text"/>
<xsl:template match="/">
### QCG-Broker Event Message ###<xsl:apply-templates/>
</xsl:template>

<xsl:template match="s:allocation">
  Job ID: <xsl:value-of select="@jobId"/>
  Task ID: <xsl:value-of select="@taskId"/>
  Hostname: <xsl:value-of select="@hostname"/>
  Processes Group: <xsl:value-of select="@processesGroup"/>
<xsl:apply-templates select="s:timestamp"/>
<xsl:apply-templates select="s:status"/>
<xsl:apply-templates select="s:description"/>
</xsl:template>

<xsl:template match="s:task">
  Job ID: <xsl:value-of select="@jobId"/>
  Task ID: <xsl:value-of select="@taskId"/>
<xsl:apply-templates select="s:note"/>  
<xsl:apply-templates select="s:timestamp"/>
<xsl:apply-templates select="s:status"/>
<xsl:apply-templates select="s:description"/>
</xsl:template>

<xsl:template match="s:job">
  Job ID: <xsl:value-of select="@jobId"/>
<xsl:apply-templates select="s:note"/>  
<xsl:apply-templates select="s:timestamp"/>
<xsl:apply-templates select="s:status"/>
<xsl:apply-templates select="s:description"/>
</xsl:template>

<xsl:template match="s:timestamp">
  - Timestamp: <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="s:status">
  - Status: <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="s:description">
  - Description: <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="s:note">
  - Note: <xsl:value-of select="."/>
</xsl:template>

</xsl:stylesheet>
]]>
